package com.engine.common.util;

import com.engine.attendance.attendanceanalysis.cmd.getclockInpoint.biz.AbstractAdjustClockPointAction;
import com.engine.attendance.attendanceanalysis.cmd.getclockInpoint.biz.AdjustClockPointActionInterface;

import java.util.List;

/**
 * 扩展类
 */
public class ExtensionClassHolder {
    /**
     * 打卡卡点扩展类
     */
    private static ThreadLocal<List<AbstractAdjustClockPointAction>> adjustClockPointActionThreadLocal = new ThreadLocal<>();

    public static void setAdjustClockPointAction(List<AbstractAdjustClockPointAction> adjustClockPointActionList) {
        adjustClockPointActionThreadLocal.set(adjustClockPointActionList);
    }

    public static List<AbstractAdjustClockPointAction> getAdjustClockPointAction() {
        return adjustClockPointActionThreadLocal.get();
    }
}
